#include "Paddle.h"

void Paddle::Update(Arduboy2& arduboy){
  //Handles paddle inputs
  if(arduboy.pressed(RIGHT_BUTTON) && paddleX < 110 - paddleRadius){
    paddleX += 0.6f;
  }
  if(arduboy.pressed(LEFT_BUTTON) && paddleX > 18 + paddleRadius){
    paddleX -= 0.6f;
  }  
}

void Paddle::Render(Arduboy2& arduboy){
  //Draws the white section of the line
  arduboy.drawLine(paddleX - paddleRadius, paddleY, paddleX + paddleRadius, paddleY);

  //Draws black either side (since not clearing each update)
  arduboy.drawPixel(paddleX - paddleRadius - 1, paddleY, BLACK);
  arduboy.drawPixel(paddleX + paddleRadius + 1, paddleY, BLACK);
}

