#include "Puck.h"

void Puck::Update(Arduboy2& arduboy, Paddle& player, bool& gamePlay){
  //Sets the last position of the puck (to allow for )
  lastX = posX;
  lastY = posY;


  //Calculate new position of puck
  posX += velX;
  posY += velY;
  if(posY > 62){
    //Check collision with player
    if( (posX <= player.paddleX + player.paddleRadius + 1) && (posX >= player.paddleX - player.paddleRadius - 1) ){
      CalcBouncePlayer(player);
    }else{
      //Check if game over
      gamePlay = false;
    }
  }

  //Puck bounce from walls
  if(posX < 18 || posX > 110){
    CalcBounceX();
  }
  if(posY < 2){
    CalcBounceY();
  }
}

void Puck::Render(Arduboy2& arduboy){
  arduboy.drawPixel(posX,posY);

  //If the puck has moved, clear the last pixel it was on
  if( (int)posX != (int)lastX || (int)posY != (int)lastY){
    arduboy.drawPixel(lastX,lastY,BLACK);
  }
}


void Puck::CalcBounceX(){
  velX = -velX;
}
void Puck::CalcBounceY(){
  velY = -velY;
}

void Puck::CalcBouncePlayer(Paddle& player){
  velY = -velY;

  //Calculates rebound force on the X axis
  velX = (posX - player.paddleX) / (player.paddleRadius * 4);

  //Calculates Y axis compensation
  //Perhaps use actual trig 'n' stuff?
  
}

